Je n'arrive pas à installer League of Legends avec Phoenicis PlayOnLinux


#1

org.phoenicis.tools.http.DownloadException: Download of https://riotgamespatcher-a.akamaihd.net/ShellInstaller/EUW/LeagueofLegends_EUW_Installer_2016_11_10.exe has failed
at phoenicis.tools@5.0-alpha-2/org.phoenicis.tools.http.Downloader.saveConnectionToStream(Downloader.java:241)
at phoenicis.tools@5.0-alpha-2/org.phoenicis.tools.http.Downloader.get(Downloader.java:196)
at phoenicis.tools@5.0-alpha-2/org.phoenicis.tools.http.Downloader.get(Downloader.java:93)
at phoenicis.tools@5.0-alpha-2/org.phoenicis.tools.http.Downloader.get(Downloader.java:74)
at jdk.scripting.nashorn.scripts/jdk.nashorn.internal.scripts.Script$Recompilation$641$2585$^eval_$cu1$restOf.get([utils, functions, net, download]:124)
at jdk.scripting.nashorn.scripts/jdk.nashorn.internal.scripts.Script$Recompilation$630$1783$^eval_$cu1$restOf.get([utils, functions, net, resource]:101)
at jdk.scripting.nashorn.scripts/jdk.nashorn.internal.scripts.Script$Recompilation$613$827A$^eval_$cu1$restOf.run#L:22(:94)
at jdk.scripting.nashorn.scripts/jdk.nashorn.internal.scripts.Script$Recompilation$602$553$^eval_$cu1$restOf.go([engines, wine, quick_script, installer_script]:30)
at jdk.scripting.nashorn.scripts/jdk.nashorn.internal.scripts.Script$Recompilation$579$562$^eval_.run(:17)
at jdk.nashorn.javaadapters.org_phoenicis_scripts_Installer.run(Unknown Source)
at jdk.scripting.nashorn.scripts/jdk.nashorn.internal.scripts.Script$Recompilation$578$^eval_$cu1$restOf.:program(:124)
at jdk.scripting.nashorn/jdk.nashorn.internal.runtime.ScriptFunctionData.invoke(ScriptFunctionData.java:655)
at jdk.scripting.nashorn/jdk.nashorn.internal.runtime.ScriptFunction.invoke(ScriptFunction.java:513)
at jdk.scripting.nashorn/jdk.nashorn.internal.runtime.ScriptRuntime.apply(ScriptRuntime.java:527)
at jdk.scripting.nashorn/jdk.nashorn.api.scripting.NashornScriptEngine.evalImpl(NashornScriptEngine.java:456)
at jdk.scripting.nashorn/jdk.nashorn.api.scripting.NashornScriptEngine.evalImpl(NashornScriptEngine.java:413)
at jdk.scripting.nashorn/jdk.nashorn.api.scripting.NashornScriptEngine.evalImpl(NashornScriptEngine.java:409)
at jdk.scripting.nashorn/jdk.nashorn.api.scripting.NashornScriptEngine.eval(NashornScriptEngine.java:162)
at java.scripting/javax.script.AbstractScriptEngine.eval(AbstractScriptEngine.java:264)
at phoenicis.scripts@5.0-alpha-2/org.phoenicis.scripts.nashorn.NashornEngine.eval(NashornEngine.java:50)
at phoenicis.scripts@5.0-alpha-2/org.phoenicis.scripts.nashorn.NashornScriptInterpreter.runScript(NashornScriptInterpreter.java:35)
at phoenicis.scripts@5.0-alpha-2/org.phoenicis.scripts.interpreter.BackgroundScriptInterpreter.lambda$runScript$0(BackgroundScriptInterpreter.java:35)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)
Caused by: java.io.IOException: Server returned HTTP response code: 403 for URL: https://riotgamespatcher-a.akamaihd.net/ShellInstaller/EUW/LeagueofLegends_EUW_Installer_2016_11_10.exe
at java.base/sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1913)
at java.base/sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1509)
at java.base/sun.net.www.protocol.https.HttpsURLConnectionImpl.getInputStream(HttpsURLConnectionImpl.java:245)
at phoenicis.tools@5.0-alpha-2/org.phoenicis.tools.http.Downloader.saveConnectionToStream(Downloader.java:214)
… 24 more


#2

To get support with Phoenicis you have to report the error here github.com/flathub/org.phoenicis.playonlinux/issues


#3

In my opinion it’s more a bug on League of legend PlayOnLinux script.
https://www.playonlinux.com/fr/app-1135-League_Of_Legends.html are in beta (unusre it work).

But your version seems outdated , did you update scripts on playonlinux ?